msymbol_get(3m17n)

NAME
msymbol_get - Get the value of a symbol property.

SYNOPSIS
void* msymbol_get (MSymbol symbol, MSymbol key)

DESCRIPTION
Get the value of a symbol property.

The msymbol_get() function searches for the value of the symbol property that belongs to symbol and whose key is key. If symbol has such a symbol property, its value is returned. Otherwise NULL is returned.

RETURN VALUE

    If an error is detected, msymbol_get() returns NULL and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_SYMBOL

SEE ALSO

    msymbol_put()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.